Bug 192759 - Remove a leftover reference to the StorageProcess
Summary: Remove a leftover reference to the StorageProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-17 09:19 PST by David Quesada
Modified: 2019-09-10 09:57 PDT (History)
4 users (show)

See Also:


Attachments
Patch (10.27 KB, patch)
2019-02-28 23:53 PST, David Quesada
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.42 MB, application/zip)
2019-03-01 01:54 PST, Build Bot
no flags Details
Patch v2 (1.78 KB, patch)
2019-09-08 20:58 PDT, David Quesada
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Quesada 2018-12-17 09:19:52 PST
There are still some references to the StorageProcess in the WebKit project that I think can be deleted:

Source/WebKit/Configurations/Databases-iOS.entitlements
Source/WebKit/Configurations/BaseTarget.xcconfig defining WK_STORAGE_SERVICE_PRODUCT_NAME and WK_USE_LEGACY_STORAGE_SERVICE_NAME
Source/WebKit/Resources/SandboxProfiles/ios/com.apple.WebKit.Storage.sb
com.apple.WebKit.Storage.sb referenced in "Copy iOS Sandbox Profiles for Manual Sandboxing" build phase.
Copying the storage XPC service as part of the "Copy XPC services for engineering builds" build phase.
Comment 1 David Quesada 2019-02-28 23:53:53 PST
Created attachment 363312 [details]
Patch
Comment 2 Build Bot 2019-03-01 01:54:27 PST
Comment on attachment 363312 [details]
Patch

Attachment 363312 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11327895

New failing tests:
fast/viewport/ios/device-width-viewport-after-changing-view-scale.html
Comment 3 Build Bot 2019-03-01 01:54:28 PST
Created attachment 363316 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 4 David Quesada 2019-09-08 20:55:09 PDT
It looks like only the reference in "Copy iOS Sandbox Profiles for Manual Sandboxing" remains -- everything else has been removed elsewhere.
Comment 5 David Quesada 2019-09-08 20:58:54 PDT
Created attachment 378346 [details]
Patch v2
Comment 6 WebKit Commit Bot 2019-09-10 09:56:52 PDT
Comment on attachment 378346 [details]
Patch v2

Clearing flags on attachment: 378346

Committed r249720: <https://trac.webkit.org/changeset/249720>
Comment 7 WebKit Commit Bot 2019-09-10 09:56:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-09-10 09:57:18 PDT
<rdar://problem/55226231>
Comment 9 Radar WebKit Bug Importer 2019-09-10 09:57:19 PDT
<rdar://problem/55226233>